| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGLStateCacheContext Class Reference
[Common Plugin Classes]

List of all members.

## Public Member Functions
| DECLARE_CACHED_PARAMETER_4_LAYER (glTexCoordPointer, TexCoordPointer, GLint, tsize, GLenum, ttype, GLsizei, tstride, GLvoid *, tpointer) csGLStateCacheContext(csGLExtensionManager *extmgr)
void | InitCache ()
| Init cache.
## Public Attributes
int | activeUnit [2]
GLuint | boundtexture [CS_GL_MAX_LAYER]
GLvoid vpointer | ColorPointer
GLvoid vpointer | csize
GLvoid vpointer | cstride
GLvoid vpointer | ctype
GLuint | currentBufferID
GLuint | currentIndexID
int | currentUnit
csGLExtensionManager * | extmgr
GLvoid vpointer | GLenum
| GLenum
GLvoid vpointer | GLint
| GLint
GLvoid vpointer | GLsizei
| GLsizei
| VertexPointer
| vsize
| vstride
| vtype

## Detailed Description

Definition at line 372 of file glstates.h.

## Member Function Documentation

void csGLStateCacheContext::InitCache | ( |  | ) | `[inline]`

Init cache.

Definition at line 443 of file glstates.h.

References CS_GL_MAX_LAYER, GL_COLOR_SUM_EXT, GL_SECONDARY_COLOR_ARRAY_EXT, GL_SECONDARY_COLOR_ARRAY_POINTER_EXT, GL_SECONDARY_COLOR_ARRAY_SIZE_EXT, GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT, GL_SECONDARY_COLOR_ARRAY_TYPE_EXT, GL_TEXTURE0_ARB, GL_TEXTURE_1D, GL_TEXTURE_2D, GL_TEXTURE_3D, GL_TEXTURE_CUBE_MAP, and GL_TEXTURE_RECTANGLE_ARB.

The documentation for this class was generated from the following file:

- csplugincommon/opengl/glstates.h